#ifdef GL_ES
precision mediump float;
#endif

uniform sampler2D texture;

varying vec4 vertexColor;
varying vec2 texCoord;

void main()
{
    vec4 c = texture2D(texture, texCoord).rgba;
    float v = 0.299 * c.r + 0.587 * c.g + 0.114 * c.b;
    float factor = 0.75;
	gl_FragColor = mix(c, vec4(v, v, v, c.a), vec4(factor, factor, factor, factor)) * vertexColor;
}
